%define pkg_name        ExtUtils-MakeMaker
%define pkg_version     6.36
%define rpm_pkg_version 6.36
%define rpm_pkg_release 1.n0i.3

Summary:       Writes Makefiles for extensions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{pkg_name}-%{pkg_version}.tar.gz
# RedHat's RPATH hack:
Patch0:        %{name}-6.32-USE_MM_LD_RUN_PATH.patch

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
%{!?_without_test:BuildRequires: perl(DirHandle)}
%{!?_without_test:BuildRequires: perl(File::Basename)}
%{!?_without_test:BuildRequires: perl(File::Spec) >= 0.8}
%{!?_without_test:BuildRequires: perl(Pod::Man)}
%{!?_without_test:BuildRequires: perl(Test::Harness) >= 2.27}

# developer relief ;-)
Requires: perl(Pod::Man)
Requires: perl(Pod::Parser)
Requires: perl(Test)
Requires: perl(Test::Harness)
Requires: perl(Test::Simple)

%global perl_filter_prov 'DynaLoader'
%global perl_filter_req  'perl\\(VMS::'


%description
This utility is designed to write a Makefile for an extension module from a
Makefile.PL.
It splits the task of generating the Makefile into several subroutines that
can be individually overridden. Each subroutine returns the text it wishes to
have written to the Makefile.
MakeMaker is object oriented. Each directory below the current directory that
contains a Makefile.PL is treated as a separate object. This makes it possible
to write an unlimited number of Makefiles with a single invocation of
WriteMakefile().


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%patch0 -p1
%{__find} . -name '*.orig' -delete


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{__find} $RPM_BUILD_ROOT -type f -name '*.orig' -delete


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes NOTES PATCHING README TODO


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0:6.36-1.n0i.3
- version 6.36

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:6.32-2.n0i.2
- plugged RedHat's RPATH hack
- added "developer relief" requirements

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 0:6.32-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.14.5
- rebuild on perl 5.8.8
